Package org.apache.sysds.runtime.instructions.cp

## Class ScalarObject

- java.lang.Object
- - org.apache.sysds.runtime.instructions.cp.Data
  - - org.apache.sysds.runtime.instructions.cp.ScalarObject

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BooleanObject`, `DoubleObject`, `IntObject`, `StringObject`

    public abstract class ScalarObject
    extends Data

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ScalarObject​(Types.ValueType vt)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract boolean` `getBooleanValue()`
`String` `getDebugName()`
`abstract double` `getDoubleValue()`
`String` `getLanguageSpecificStringValue()`
`abstract long` `getLongValue()`
`abstract int` `getSize()`
`abstract String` `getStringValue()`
`abstract Object` `getValue()`
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.Data

`getDataType, getMetaData, getPrivacyConstraint, getValueType, removeMetaData, setMetaData, setPrivacyConstraints, updateDataCharacteristics`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScalarObject

    public ScalarObject​(Types.ValueType vt)

### Method Detail

#### getBooleanValue

    public abstract boolean getBooleanValue()

#### getLongValue

    public abstract long getLongValue()

#### getDoubleValue

    public abstract double getDoubleValue()

#### getStringValue

    public abstract String getStringValue()

#### getSize

    public abstract int getSize()

#### getLanguageSpecificStringValue

    public String getLanguageSpecificStringValue()

#### getValue

    public abstract Object getValue()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getDebugName

    public String getDebugName()

Specified by:
  `getDebugName` in class `Data`